package com.ruoyi.project.patrol.fire.mapper;

import java.util.List;
import com.ruoyi.project.patrol.fire.domain.TFireStandpipePatrol;

/**
 * 消防竖管Mapper接口
 * 
 * @author admin
 * @date 2023-10-31
 */
public interface TFireStandpipeMapper 
{
    /**
     * 查询消防竖管
     * 
     * @param id 消防竖管主键
     * @return 消防竖管
     */
    public TFireStandpipePatrol selectTFireStandpipeById(Long id);

    /**
     * 查询消防竖管列表
     * 
     * @param tFireStandpipe 消防竖管
     * @return 消防竖管集合
     */
    public List<TFireStandpipePatrol> selectTFireStandpipeList(TFireStandpipePatrol tFireStandpipe);

    /**
     * 新增消防竖管
     * 
     * @param tFireStandpipe 消防竖管
     * @return 结果
     */
    public int insertTFireStandpipe(TFireStandpipePatrol tFireStandpipe);

    /**
     * 修改消防竖管
     * 
     * @param tFireStandpipe 消防竖管
     * @return 结果
     */
    public int updateTFireStandpipe(TFireStandpipePatrol tFireStandpipe);

    /**
     * 删除消防竖管
     * 
     * @param id 消防竖管主键
     * @return 结果
     */
    public int deleteTFireStandpipeById(Long id);

    /**
     * 批量删除消防竖管
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTFireStandpipeByIds(Long[] ids);
}
